
<div class="sp-section-wrap">
    <div class="sp-col">
        <div class="postbox">
            <h4 class="col-title"><?php esc_html_e( 'Upgrade to Pro Version', 'softpoint' ); ?></h4>
            <p>
                <?php echo wp_kses_post( __( 'We highly recommend upgrading your theme to the premium version. You get more customization options, better search engine optimization, premium support and much more. ', 'softpoint' ) ); ?>
            </p>
            <a href="?page=about-softpoint&tab=free_pro" class="button"><?php esc_html_e( 'Check Free Vs Pro', 'softpoint' ); ?></a>
            <a href="https://themes.salttechno.com/wordpress-themes/softpoint-pro" class="button button-primary ml-10" target="_blank"><?php esc_html_e( 'Learn More', 'softpoint' ); ?></a>
        </div>
    </div>

    <div class="sp-col" data-sp-id="sp-dismiss-optimize">
        <div class="postbox">
            <h4 class="col-title"><?php esc_html_e( 'Optimize Your Website', 'softpoint' ); ?></h4>
            <p>
                <?php echo wp_kses_post( __( 'Our team has spent a lot of time on research and made a list of few most essential tips to optimize your WordPress website. Take a look at these tips and optimize your website for better performance.', 'softpoint' ) ); ?>
            </p>
            <a href="https://themes.salttechno.com/2017/12/optimize-wordpress-website/" class="button" target="_blank"><?php esc_html_e( 'Learn More', 'softpoint' ); ?></a>
            <a href="#" class="ml-10 sp-dismiss-link" id="sp-dismiss-optimize"><?php esc_html_e( 'Dismiss', 'softpoint' ); ?></a>
        </div>
    </div>

    <div class="sp-col">
        <div class="postbox">
            <h4 class="col-title"><?php esc_html_e( 'We would love your feedback!', 'softpoint' ); ?></h4>
            <p>
                <?php echo wp_kses_post( __( 'Please take a moment and leave us a short review. We really appreciate and value your experience with the theme. Your review will also help others to know more about SoftPoint.', 'softpoint' ) ); ?>
            </p>
            <a href="https://wordpress.org/support/theme/softpoint#new-topic-0" target="_blank" class="button"><?php esc_html_e( 'Ask a support question', 'softpoint' ); ?></a>
            <a href="https://wordpress.org/support/theme/softpoint/reviews/#new-post" target="_blank" class="button button-primary ml-10"><?php esc_html_e( 'Rate us 5 Stars', 'softpoint' ); ?></a>
        </div>
    </div>

    <div class="sp-col" data-sp-id="sp-dismiss-hosting">
        <div class="postbox">
            <h4 class="col-title"><?php esc_html_e( 'Get a managed WordPress hosting.', 'softpoint' ); ?></h4>
            <p>
                <?php echo wp_kses_post( __( '"Managed WordPress Hosting" provides great advantages over normal shared or dedicated hosting. You must consider at least giving it a try. It\'s unquestionably worth its cost.', 'softpoint' ) ); ?>
            </p>
            <a href="https://themes.salttechno.com/2017/12/consider-using-managed-wordpress-hosting/" class="button" target="_blank"><?php esc_html_e( 'Why should you go for it?', 'softpoint' ); ?></a>
            <a href="#" class="ml-10 sp-dismiss-link" id="sp-dismiss-hosting"><?php esc_html_e( 'Dismiss', 'softpoint' ); ?></a>
        </div>
    </div>

    <div class="sp-col" data-sp-id="sp-dismiss-subscribe">
        <div class="postbox">
            <h4 class="col-title"><?php esc_html_e( 'Subscribe to our Newsletter', 'softpoint' ); ?></h4>
            <p>
                <?php echo wp_kses_post( __( 'Do you want to learn more about how can you optimize your website? Subscribe to our newsletter and get more knowledge about website optimization, traffic generation, discount coupons and more.', 'softpoint' ) ); ?>
            </p>
            <a href="https://themes.salttechno.com/subscribe-to-our-newsletter/" class="button" target="_blank"><?php esc_html_e( 'Subscribe Now', 'softpoint' ); ?></a>
            <a href="#" class="ml-10 sp-dismiss-link" id="sp-dismiss-subscribe"><?php esc_html_e( 'Dismiss', 'softpoint' ); ?></a>
        </div>
    </div>

    <div class="sp-col" data-sp-id="sp-dismiss-request-feature">
        <div class="postbox">
            <h4 class="col-title"><?php esc_html_e( 'Request a Feature', 'softpoint' ); ?></h4>
            <p>
                <?php echo wp_kses_post( __( 'We want to improve this theme continuously and make it more and more useful for users like you. You can ask for a feature in the theme and we will consider working on it in future updates.', 'softpoint' ) ); ?>
            </p>
            <a href="https://wordpress.org/support/theme/softpoint#new-topic-0" class="button" target="_blank"><?php esc_html_e( 'Post your request', 'softpoint' ); ?></a>
            <a href="#" class="ml-10 sp-dismiss-link" id="sp-dismiss-request-feature"><?php esc_html_e( 'Dismiss', 'softpoint' ); ?></a>
        </div>
    </div>

</div>
<!-- /.sp-section-wrap -->
